package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 查询缴费业务输出的机构账单
 *
 * @author auto create
 * @since 1.0, 2018-05-02 15:06:35
 */
public class AlipayEbppJfexportInstbillQueryModel extends AlipayObject {

    private static final long serialVersionUID = 2489462144297796145L;

    /**
     * 账期
     */
    @ApiField("bill_date")
    private String billDate;

    /**
     * 户号
     */
    @ApiField("bill_key")
    private String billKey;

    /**
     * 业务类型英文名称 ，固定传JF，表示缴费
     */
    @ApiField("biz_type")
    private String bizType;

    /**
     * 出账机构英文简称
     */
    @ApiField("charge_inst")
    private String chargeInst;

    /**
     * 拓展字段，json串(key-value对)
     */
    @ApiField("extend_field")
    private String extendField;

    /**
     * 账单拥有者姓名
     */
    @ApiField("owner_name")
    private String ownerName;

    /**
     * 子业务类型英文名称，ELECTRIC-电费，WATER-水费，GAS-燃气费
     */
    @ApiField("sub_biz_type")
    private String subBizType;

    public String getBillDate() {
        return this.billDate;
    }

    public void setBillDate(String billDate) {
        this.billDate = billDate;
    }

    public String getBillKey() {
        return this.billKey;
    }

    public void setBillKey(String billKey) {
        this.billKey = billKey;
    }

    public String getBizType() {
        return this.bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getChargeInst() {
        return this.chargeInst;
    }

    public void setChargeInst(String chargeInst) {
        this.chargeInst = chargeInst;
    }

    public String getExtendField() {
        return this.extendField;
    }

    public void setExtendField(String extendField) {
        this.extendField = extendField;
    }

    public String getOwnerName() {
        return this.ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getSubBizType() {
        return this.subBizType;
    }

    public void setSubBizType(String subBizType) {
        this.subBizType = subBizType;
    }

}
