package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 查询外部商户订单
 *
 * @author auto create
 * @since 1.0, 2018-05-02 17:55:29
 */
public class AlipayEbppJfexportMerchantbillQueryModel extends AlipayObject {

    private static final long serialVersionUID = 7272531347816619142L;

    /**
     * 业务类型英文名称 ，固定传JF，表示缴费
     */
    @ApiField("biz_type")
    private String bizType;

    /**
     * 拓展字段，json串(key-value对)
     */
    @ApiField("extend_field")
    private String extendField;

    /**
     * 外部商户的业务流水号，需要保证唯一性和幂等性
     */
    @ApiField("merchant_order_no")
    private String merchantOrderNo;

    public String getBizType() {
        return this.bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getExtendField() {
        return this.extendField;
    }

    public void setExtendField(String extendField) {
        this.extendField = extendField;
    }

    public String getMerchantOrderNo() {
        return this.merchantOrderNo;
    }

    public void setMerchantOrderNo(String merchantOrderNo) {
        this.merchantOrderNo = merchantOrderNo;
    }

}
