package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 查询小区房屋信息列表
 *
 * @author auto create
 * @since 1.0, 2016-11-18 16:08:41
 */
public class AlipayEcoCplifeRooominfoQueryModel extends AlipayObject {

    private static final long serialVersionUID = 1128823672399724171L;

    /**
     * 业主所在物业小区ID(支付宝平台唯一小区ID标示)
     */
    @ApiField("community_id")
    private String communityId;

    /**
     * 分页查询的页码数，分页从1开始计数。该参数不传入的时候，默认为1
     */
    @ApiField("page_num")
    private Long pageNum;

    /**
     * 分页查询的每页最大数据条数。默认为200
     */
    @ApiField("page_size")
    private Long pageSize;

    public String getCommunityId() {
        return this.communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public Long getPageNum() {
        return this.pageNum;
    }

    public void setPageNum(Long pageNum) {
        this.pageNum = pageNum;
    }

    public Long getPageSize() {
        return this.pageSize;
    }

    public void setPageSize(Long pageSize) {
        this.pageSize = pageSize;
    }

}
