package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 查询转账订单接口
 *
 * @author auto create
 * @since 1.0, 2017-12-27 15:18:38
 */
public class AlipayFundTransOrderQueryModel extends AlipayObject {

    private static final long serialVersionUID = 1891332399459747981L;

    /**
     * 支付宝转账单据号：和商户转账唯一订单号不能同时为空。当和商户转账唯一订单号同时提供时，将用本参数进行查询，忽略商户转账唯一订单号。
     */
    @ApiField("order_id")
    private String orderId;

    /**
     * 商户转账唯一订单号：发起转账来源方定义的转账单据ID。
     * 和支付宝转账单据号不能同时为空。当和支付宝转账单据号同时提供时，将用支付宝转账单据号进行查询，忽略本参数。
     */
    @ApiField("out_biz_no")
    private String outBizNo;

    public String getOrderId() {
        return this.orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOutBizNo() {
        return this.outBizNo;
    }

    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }

}
