package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 基于UID支付宝渠道认证的协议授权
 *
 * @author auto create
 * @since 1.0, 2017-12-15 15:40:04
 */
public class AlipayUserAuthZhimaperInnerApplyModel extends AlipayObject {

    private static final long serialVersionUID = 4826853834375618521L;

    /**
     * 证件号码
     */
    @ApiField("cert_no")
    private String certNo;

    /**
     * IDENTITY_CARD :身份证
     */
    @ApiField("cert_type")
    private String certType;

    /**
     * 芝麻平台服务商模式下的二级商户标识，如果是直连商户调用该接口，不需要设置
     */
    @ApiField("linked_merchant_id")
    private String linkedMerchantId;

    /**
     * 手机号码
     */
    @ApiField("mobile")
    private String mobile;

    /**
     * 姓名
     */
    @ApiField("name")
    private String name;

    public String getCertNo() {
        return this.certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getCertType() {
        return this.certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getLinkedMerchantId() {
        return this.linkedMerchantId;
    }

    public void setLinkedMerchantId(String linkedMerchantId) {
        this.linkedMerchantId = linkedMerchantId;
    }

    public String getMobile() {
        return this.mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
