package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 间连商户查询
 *
 * @author auto create
 * @since 1.0, 2018-06-06 16:07:40
 */
public class AntMerchantExpandIndirectQueryModel extends AlipayObject {

    private static final long serialVersionUID = 5399673951985616682L;

    /**
     * 商户编号，由机构定义，需要保证在机构下唯一，与sub_merchant_id二选一
     */
    @ApiField("external_id")
    private String externalId;

    /**
     * 商户在支付宝入驻成功后，生成的支付宝内全局唯一的商户编号，与external_id二选一必传
     */
    @ApiField("sub_merchant_id")
    private String subMerchantId;

    public String getExternalId() {
        return this.externalId;
    }

    public void setExternalId(String externalId) {
        this.externalId = externalId;
    }

    public String getSubMerchantId() {
        return this.subMerchantId;
    }

    public void setSubMerchantId(String subMerchantId) {
        this.subMerchantId = subMerchantId;
    }

}
