package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 用户身份信息对象
 *
 * @author auto create
 * @since 1.0, 2018-03-05 11:25:24
 */
public class IdentityParam extends AlipayObject {

    private static final long serialVersionUID = 8833332379422254554L;

    /**
     * 姓名
     */
    @ApiField("cert_name")
    private String certName;

    /**
     * 证件号
     */
    @ApiField("cert_no")
    private String certNo;

    /**
     * 证件类型
     */
    @ApiField("cert_type")
    private String certType;

    /**
     * 身份类型
     */
    @ApiField("identity_type")
    private String identityType;

    /**
     * 用户id
     */
    @ApiField("user_id")
    private String userId;

    public String getCertName() {
        return this.certName;
    }

    public void setCertName(String certName) {
        this.certName = certName;
    }

    public String getCertNo() {
        return this.certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getCertType() {
        return this.certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getIdentityType() {
        return this.identityType;
    }

    public void setIdentityType(String identityType) {
        this.identityType = identityType;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

}
