package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 投保单查询结果
 *
 * @author auto create
 * @since 1.0, 2016-11-14 11:45:43
 */
public class InsApplicationQuery extends AlipayObject {

    private static final long serialVersionUID = 2833232671116568166L;

    /**
     * 投保订单号
     */
    @ApiField("application_no")
    private String applicationNo;

    /**
     * 投保单状态;此状态用于判断投保流程的推进过程.INIT: 初始,UNDERWROTE:已核保, DECLINED:已拒保,CLOSED:已关闭, PAID:已付款,REFUND:已退款,ISSUED:已出单
     */
    @ApiField("application_status")
    private String applicationStatus;

    /**
     * 保险机构
     */
    @ApiField("merchant")
    private InsMerchant merchant;

    /**
     * 交易操作流水号;用于跳支付宝收银台付款
     */
    @ApiField("operation_id")
    private String operationId;

    /**
     * 商户生成的外部投保业务号
     */
    @ApiField("out_biz_no")
    private String outBizNo;

    /**
     * 产品编码;由蚂蚁保险平台分配,商户通过该产品编码投保特定的保险产品
     */
    @ApiField("prod_code")
    private String prodCode;

    /**
     * 支付交易订单号;用于跳支付宝收银台付款
     */
    @ApiField("trade_no")
    private String tradeNo;

    public String getApplicationNo() {
        return this.applicationNo;
    }

    public void setApplicationNo(String applicationNo) {
        this.applicationNo = applicationNo;
    }

    public String getApplicationStatus() {
        return this.applicationStatus;
    }

    public void setApplicationStatus(String applicationStatus) {
        this.applicationStatus = applicationStatus;
    }

    public InsMerchant getMerchant() {
        return this.merchant;
    }

    public void setMerchant(InsMerchant merchant) {
        this.merchant = merchant;
    }

    public String getOperationId() {
        return this.operationId;
    }

    public void setOperationId(String operationId) {
        this.operationId = operationId;
    }

    public String getOutBizNo() {
        return this.outBizNo;
    }

    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }

    public String getProdCode() {
        return this.prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getTradeNo() {
        return this.tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

}
