package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 口碑餐饮行业商品详情查询接口
 *
 * @author auto create
 * @since 1.0, 2018-03-23 10:22:20
 */
public class KoubeiCateringItemQueryModel extends AlipayObject {

    private static final long serialVersionUID = 6719342776947653542L;

    /**
     * 服务商、服务商员工、商户、商户员工等口碑角色操作时必填，对应为《koubei.member.data.oauth.query》中的auth_code，默认有效期24小时；isv自身角色操作的时候，无需传该参数
     */
    @ApiField("auth_code")
    private String authCode;

    /**
     * 口碑体系内部商品的唯一标识
     */
    @ApiField("item_id")
    private String itemId;

    /**
     * 操作人员身份类型。如果是isv代操作，请传入ISV；如果是商户操作请传入MERCHANT；如果是商户员工则传入M_STAFF
     */
    @ApiField("operator_type")
    private String operatorType;

    /**
     * 请求id。支持英文字母和数字，由开发者自行定义（不允许重复）。比如2016102903214476899999999
     */
    @ApiField("request_id")
    private String requestId;

    public String getAuthCode() {
        return this.authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getItemId() {
        return this.itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getOperatorType() {
        return this.operatorType;
    }

    public void setOperatorType(String operatorType) {
        this.operatorType = operatorType;
    }

    public String getRequestId() {
        return this.requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

}
