package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 淘抢购批量商品查询接口
 *
 * @author auto create
 * @since 1.0, 2017-12-01 11:22:32
 */
public class KoubeiItemTaobaoIndexQueryModel extends AlipayObject {

    private static final long serialVersionUID = 6246837967199495677L;

    /**
     * 城市编码
     */
    @ApiField("city_id")
    private String cityId;

    /**
     * 扩展信息，json格式
     */
    @ApiField("ext_info")
    private String extInfo;

    /**
     * 纬度
     */
    @ApiField("latitude")
    private String latitude;

    /**
     * 经度
     */
    @ApiField("longitude")
    private String longitude;

    /**
     * 场景码,TAO_BIG_BUY:淘抢购大牌抢购;JU_BIG_BUY:聚划算大牌抢购
     */
    @ApiField("scene_code")
    private String sceneCode;

    /**
     * 蚂蚁统一会员ID
     */
    @ApiField("user_id")
    private String userId;

    public String getCityId() {
        return this.cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getExtInfo() {
        return this.extInfo;
    }

    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }

    public String getLatitude() {
        return this.latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return this.longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getSceneCode() {
        return this.sceneCode;
    }

    public void setSceneCode(String sceneCode) {
        this.sceneCode = sceneCode;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

}
