package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 查询商户基本信息
 *
 * @author auto create
 * @since 1.0, 2018-03-23 13:52:38
 */
public class KoubeiMerchantInfoSimpleQueryModel extends AlipayObject {

    private static final long serialVersionUID = 1333317886645571121L;

    /**
     * 服务商、服务商员工、商户、商户员工等口碑角色操作时必填，对应为《koubei.member.data.oauth.query》中的auth_code，默认有效期24小时；isv自身角色操作的时候，无需传该参数
     */
    @ApiField("auth_code")
    private String authCode;

    public String getAuthCode() {
        return this.authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

}
