package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 商户信息
 *
 * @author auto create
 * @since 1.0, 2018-06-28 17:02:29
 */
public class MerchantModel extends AlipayObject {

    private static final long serialVersionUID = 7853983677684746426L;

    /**
     * 商户别名
     */
    @ApiField("alias_name")
    private String aliasName;

    /**
     * 联系人姓名
     */
    @ApiField("contact_name")
    private String contactName;

    /**
     * 联系人电话
     */
    @ApiField("contact_number")
    private String contactNumber;

    /**
     * 商户名称
     */
    @ApiField("name")
    private String name;

    /**
     * 商户或者isv的pid
     */
    @ApiField("pid")
    private String pid;

    public String getAliasName() {
        return this.aliasName;
    }

    public void setAliasName(String aliasName) {
        this.aliasName = aliasName;
    }

    public String getContactName() {
        return this.contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactNumber() {
        return this.contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPid() {
        return this.pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

}
