package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 返回给商户的子订单明细
 *
 * @author auto create
 * @since 1.0, 2016-10-26 17:43:42
 */
public class OrderDetailResult extends AlipayObject {

    private static final long serialVersionUID = 2229298424585783461L;

    /**
     * 应用唯一标识
     */
    @ApiField("app_id")
    private String appId;

    /**
     * 商户订单号
     */
    @ApiField("out_trade_no")
    private String outTradeNo;

    /**
     * 公用回传参数，如果请求时传递了该参数，则返回给商户时会回传该参数。
     */
    @ApiField("passback_params")
    private String passbackParams;

    /**
     * 卖家支付宝用户ID。
     */
    @ApiField("seller_id")
    private String sellerId;

    /**
     * 订单标题
     */
    @ApiField("subject")
    private String subject;

    /**
     * 订单总金额，单位为元，精确到小数点后两位，取值范围[0.01,100000000]
     */
    @ApiField("total_amount")
    private String totalAmount;

    /**
     * 支付宝交易号
     */
    @ApiField("trade_no")
    private String tradeNo;

    /**
     * 交易状态，有以下几种取值：
     * 1. TRADE_SUCCESS：付款成功
     * 2. TRADE_FINISHED：交易完成
     * 3. WAIT_BUYER_PAY：等待支付
     * 4. TRADE_CLOSED：交易关闭
     */
    @ApiField("trade_status")
    private String tradeStatus;

    public String getAppId() {
        return this.appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getOutTradeNo() {
        return this.outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getPassbackParams() {
        return this.passbackParams;
    }

    public void setPassbackParams(String passbackParams) {
        this.passbackParams = passbackParams;
    }

    public String getSellerId() {
        return this.sellerId;
    }

    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    public String getSubject() {
        return this.subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getTotalAmount() {
        return this.totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getTradeNo() {
        return this.tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getTradeStatus() {
        return this.tradeStatus;
    }

    public void setTradeStatus(String tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

}
