package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 停车场景
 *
 * @author auto create
 * @since 1.0, 2018-06-14 09:19:48
 */
public class ParkingScene extends AlipayObject {

    private static final long serialVersionUID = 1117518248969292149L;

    /**
     * 车牌号
     */
    @ApiField("car_number")
    private String carNumber;

    /**
     * 车辆入场的时间，格式"YYYY-MM-DD HH:mm:ss"，24小时制
     */
    @ApiField("in_time")
    private String inTime;

    /**
     * 停车场ID
     */
    @ApiField("parking_id")
    private String parkingId;

    /**
     * 停车场名称
     */
    @ApiField("parking_name")
    private String parkingName;

    public String getCarNumber() {
        return this.carNumber;
    }

    public void setCarNumber(String carNumber) {
        this.carNumber = carNumber;
    }

    public String getInTime() {
        return this.inTime;
    }

    public void setInTime(String inTime) {
        this.inTime = inTime;
    }

    public String getParkingId() {
        return this.parkingId;
    }

    public void setParkingId(String parkingId) {
        this.parkingId = parkingId;
    }

    public String getParkingName() {
        return this.parkingName;
    }

    public void setParkingName(String parkingName) {
        this.parkingName = parkingName;
    }

}
