package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 个性化标签规则返回模型
 *
 * @author auto create
 * @since 1.0, 2017-07-14 11:47:28
 */
public class QueryLabelRule extends AlipayObject {

    private static final long serialVersionUID = 1497441683642214539L;

    /**
     * 标签id
     */
    @ApiField("label_id")
    private String labelId;

    /**
     * 标签名
     */
    @ApiField("label_name")
    private String labelName;

    /**
     * 标签值，多值会用英文逗号分隔
     */
    @ApiField("label_value")
    private String labelValue;

    /**
     * 运算符
     */
    @ApiField("operator")
    private String operator;

    public String getLabelId() {
        return this.labelId;
    }

    public void setLabelId(String labelId) {
        this.labelId = labelId;
    }

    public String getLabelName() {
        return this.labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public String getLabelValue() {
        return this.labelValue;
    }

    public void setLabelValue(String labelValue) {
        this.labelValue = labelValue;
    }

    public String getOperator() {
        return this.operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

}
