package com.alipay.api.domain;

import com.alipay.api.AlipayObject;
import com.alipay.api.internal.mapping.ApiField;

/**
 * 企业工商信息查询（按个人）
 *
 * @author auto create
 * @since 1.0, 2017-10-13 14:33:23
 */
public class ZhimaCreditEpRoleGetModel extends AlipayObject {

    private static final long serialVersionUID = 6674245192978546389L;

    /**
     * 企业法定代表人/企业股东/企业主要管理人员 的身份证号
     */
    @ApiField("cert_no")
    private String certNo;

    /**
     * 产品码，直接使用［示例］给出的值
     */
    @ApiField("product_code")
    private String productCode;

    /**
     * 商户请求的唯一标志，64位长度的字母数字下划线组合。该标识作为对账的关键信息，商户要保证其唯一性，对于用户使用相同transaction_id的查询，芝麻在一天（86400秒）内返回首次查询数据，超过有效期的查询即为无效并返回异常，有效期内的重复查询不重新计费
     */
    @ApiField("transaction_id")
    private String transactionId;

    public String getCertNo() {
        return this.certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getProductCode() {
        return this.productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getTransactionId() {
        return this.transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

}
