package com.alipay.api.response;

import com.alipay.api.AlipayResponse;
import com.alipay.api.internal.mapping.ApiField;

/**
 * ALIPAY API: alipay.marketing.card.activateform.query response.
 *
 * @author auto create
 * @since 1.0, 2017-10-13 16:55:38
 */
public class AlipayMarketingCardActivateformQueryResponse extends AlipayResponse {

	private static final long serialVersionUID = 1284984899398362286L;

	/**
	 * 表单提交信息各个字段的值JSON数组
	 * <p>
	 * 通用表单字段名称如下示例：
	 * OPEN_FORM_FIELD_MOBILE – 手机号
	 * OPEN_FORM_FIELD_GENDER – 性别
	 * OPEN_FORM_FIELD_NAME – 姓名
	 * OPEN_FORM_FIELD_BIRTHDAY – 生日
	 * OPEN_FORM_FIELD_IDCARD – 身份证
	 * OPEN_FORM_FIELD_EMAIL – 邮箱
	 * OPEN_FORM_FIELD_ADDRESS – 地址
	 * <p>
	 * 详细字段名称列表见会员卡开卡表单模板配置接口：alipay.marketing.card.formtemplate.set
	 * <p>
	 * 注：
	 * 1. 证件类型字段(OPEN_FORM_FIELD_CERT_TYPE)返回结果取值如下:
	 * 0 -- 身份证
	 * 1 -- 护照
	 * 2 -- 港澳居民通行证
	 * 3 -- 台湾居民通行证
	 */
	@ApiField("infos")
	private String infos;

	public void setInfos(String infos) {
		this.infos = infos;
	}

	public String getInfos() {
		return this.infos;
	}

}
